#include "ctai_tabwidget.h"

ctai_tabwidget::ctai_tabwidget(){
    
}
ctai_tabwidget::~ctai_tabwidget(){

}
void ctai_tabwidget::init_layout(){
    setTabBar(new ctai_tabbar);
    setTabPosition(QTabWidget::West);
    m_session_widget=new ctai_session_widget();
    addTab(m_session_widget,QIcon(":/res/img/btn/btn_chat.png"),tr("会话"));
    addTab(new ctai_cmd(),QIcon(":/res/img/btn/btn_cmd.png"),tr("命令行"));
    addTab(new QWidget(),QIcon(":/res/img/btn/btn_knowledge.png"),tr("知识库"));
    addTab(new QWidget(),QIcon(":/res/img/btn/btn_tips.png"),tr("提示词"));
    addTab(new QWidget(),QIcon(":/res/img/btn/btn_setting.png"),tr("设置"));
    addTab(new QWidget(),QIcon(":/res/img/btn/btn_about.png"),tr("关于"));
}